## org.jfree.chart.plot
Class ValueMarker

    java.lang.Object
      org.jfree.chart.plot.Marker
          org.jfree.chart.plot.ValueMarker

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ValueMarker

extends Marker

A marker that represents a single fixed value.

See Also:
  Serialized Form

Constructor Summary
`ValueMarker(double value)` Creates a new marker.
`ValueMarker(double value, java.awt.Paint paint, java.awt.Stroke stroke)` Creates a new marker.
`ValueMarker(double value, java.awt.Paint paint, java.awt.Stroke stroke, java.awt.Paint outlinePaint, java.awt.Stroke outlineStroke, float alpha)` Creates a new value marker.

Method Summary
`boolean` `equals(java.lang.Object obj)` Compares this marker against an arbitrary object.
`double` `getValue()` Returns the value.

Methods inherited from class org.jfree.chart.plot.Marker
`clone, getAlpha, getLabel, getLabelAnchor, getLabelFont, getLabelOffset, getLabelOffsetType, getLabelPaint, getLabelTextAnchor, getOutlinePaint, getOutlineStroke, getPaint, getStroke, setAlpha, setLabel, setLabelAnchor, setLabelFont, setLabelOffset, setLabelOffsetType, setLabelPaint, setLabelTextAnchor, setOutlinePaint, setOutlineStroke, setPaint, setStroke`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueMarker

    public ValueMarker(double value)

  Creates a new marker.

  Parameters:
    `value` - the value.

### ValueMarker

    public ValueMarker(double value,
                       java.awt.Paint paint,
                       java.awt.Stroke stroke)

  Creates a new marker.

  Parameters:
    `value` - the value.
    `paint` - the paint (`null` not permitted).
    `stroke` - the stroke (`null` not permitted).

### ValueMarker

    public ValueMarker(double value,
                       java.awt.Paint paint,
                       java.awt.Stroke stroke,
                       java.awt.Paint outlinePaint,
                       java.awt.Stroke outlineStroke,
                       float alpha)

  Creates a new value marker.

  Parameters:
    `value` - the value.
    `paint` - the paint (`null` not permitted).
    `stroke` - the stroke (`null` not permitted).
    `outlinePaint` - the outline paint (`null` permitted).
    `outlineStroke` - the outline stroke (`null` permitted).
    `alpha` - the alpha transparency.

Method Detail

### getValue

    public double getValue()

  Returns the value.

  Returns:
    The value.

### equals

    public boolean equals(java.lang.Object obj)

  Compares this marker against an arbitrary object.

  Overrides:
    `equals` in class `Marker`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.